astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- ASCII Tables (`astropy.io.ascii`) »
- CommentedHeader

# CommentedHeader

class `astropy.io.ascii.``CommentedHeader`

  Bases: `astropy.io.ascii.Basic`

  Read a file where the column names are given in a line that begins with the header comment character. `header_start` can be used to specify the line index of column names, and it can be a negative index (for example -1 for the last commented line). The default delimiter is the <space> character.:

      # col1 col2 col3
      # Comment line
      1 2 3
      4 5 6

  Methods Summary

  `read`(table) | Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.
  `write_header`(lines, meta) | Write comment lines after, rather than before, the header.

  Methods Documentation

  `read`(table)

    Read input data (file-like object, filename, list of strings, or single string) into a Table and return the result.

  `write_header`(lines, meta)

    Write comment lines after, rather than before, the header.